# Class CIM_SwitchPortTransparentBridgingStatistics
extends CIM_SAPStatisticalInformation

Statistical information regarding a SwitchPort, at which transparent bridging is performed.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_SAPStatisticalInformation
|
+--CIM_SwitchPortTransparentBridgingStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information regarding a SwitchPort, at which transparent bridging is performed.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InDiscards | uint32 |
Counter | boolean | true
Description | string | Count of valid frames received which were discarded (i.e., filtered) by the forwarding process.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dTpPortInDiscards
InFrames | uint32 |
Counter | boolean | true
Description | string | The number of frames that have been received by the port from its segment. Note that a frame is only counted if and only if it is for a protocol being processed by the local bridging function, including bridge management frames.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dTpPortInFrames
OutFrames | uint32 |
Counter | boolean | true
Description | string | The number of frames that have been transmitted by the port to its segment. Note that a frame is only counted if and only if it is for a protocol being processed by the local bridging function, including bridge management frames.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dTpPortOutFrames

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_SAPStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SAPStatisticalInformation
SAPCreationClassName | string | CIM_SAPStatisticalInformation
SAPName | string | CIM_SAPStatisticalInformation
SystemCreationClassName | string | CIM_SAPStatisticalInformation
SystemName | string | CIM_SAPStatisticalInformation

## Class Methods